
 <?php

    require_once ('../inventario/conexion.php');
 
       
     $serialpantalla = $_POST['serialpantalla'];
     $marcapantalla = $_POST['marcapantalla'];
     $estadopantalla = $_POST['estadopantalla'];
     $obsevarcion = $_POST['obsevarcion'];
   
      
    $objconexion = new conexion();

    if(!empty($serialpantalla) && !empty($marcapantalla) && !empty($estadopantalla)) 
   	 // echo "condicional";
     // echo $return;
{
   

    $sentenciaupdate = "UPDATE pantalla SET Serial_pantalla='$serialpantalla', marca_pantalla='$marcapantalla', estado_pantalla='$estadopantalla', fecha_ingreso = now()
        WHERE Serial_pantalla='$serialpantalla'"; 

   // echo $sentenciaupdate ;

  //$objconexion -> consultararraynum($sentenciaupdate);
  $return = $objconexion->Ejecutar($sentenciaupdate);

 
    if($return==1)

        {
            echo '<script language="javascript" type="text/javascript">alert("Se Actualisaron los datos en la base de datos");
                  window.location ="ingresarpantalla.php";
                  </script>';
        }
        else
        {
            echo '<script language="javascript" type="text/javascript">alert("error en la Actualizacion");
                  window.location ="ingresarpantalla.php";
                  </script>';
         }
}


if(!empty($marcapantalla) && !empty($serialpantalla) && !empty($estadopantalla) && !empty($fecha) && !empty($obsevarcion))
  echo "condicional";
{


  $SentenciaInsert2 = "INSERT INTO historial_pantalla VALUES(null,'".$serialpantalla."','".$marcapantalla."','".$estadopantalla."',now(),null,'".$obsevarcion."')";

  $return = $objconexion->Ejecutar($SentenciaInsert2);

  //echo $SentenciaInsert;
  //echo $SentenciaInsert2;

    if($return==1 )
    {
        echo '<script language="javascript">alert("Se guardaron los datos en la base de datos")
              window.location ="ingresarpantalla.php";
            </script>';
        }
      else
      {
        echo '<script language="javascript">alert("error en la insercion")
              window.location ="ingresarpantalla.php";
              </script>';
         }
}

?>